Bug 967769 - Alt+Tab doesn't prefer windows on current workspace
Alt+Tab doesn't prefer windows on current workspace
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 05:46 EDT by Amit Shah
Modified: 2015-02-17 10:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1205445 (view as bug list)
Environment:
Last Closed: 2015-02-17 10:21:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2013-05-28 05:46:00 EDT
Description of problem:

The behaviour of Alt+Tab has changed from F18.  This might just be a regression.

Alt+Tab doesn't prefer windows on current workspace.  It instead switches to other windows, causing workspace switches as well.  This is unexpected, please revert to older behaviour.
Comment 1 Florian Müllner 2013-05-28 08:47:30 EDT
(In reply to Amit Shah from comment #0)
> The behaviour of Alt+Tab has changed from F18.  This might just be a
> regression.

It is not, this is a deliberate upstream change. The old behavior was fairly unpredictable (resulting in quite a list of bugs), the new behavior is much simpler - applications appear strictly in the order they have been used.
Comment 2 Amit Shah 2013-05-29 00:35:56 EDT
(In reply to Florian Müllner from comment #1)
> (In reply to Amit Shah from comment #0)
> > The behaviour of Alt+Tab has changed from F18.  This might just be a
> > regression.
> 
> It is not, this is a deliberate upstream change. The old behavior was fairly
> unpredictable (resulting in quite a list of bugs), the new behavior is much
> simpler - applications appear strictly in the order they have been used.

Is there a way to revert to the older behaviour?  I find the older behaviour predictable, and the new one not at all.
Comment 3 Florian Müllner 2013-05-29 12:02:17 EDT
(In reply to Amit Shah from comment #2)
> Is there a way to revert to the older behaviour?

No, except by using an extension that implements the old popup.
Comment 4 Amit Shah 2013-05-29 14:16:47 EDT
(In reply to Florian Müllner from comment #3)
> (In reply to Amit Shah from comment #2)
> > Is there a way to revert to the older behaviour?
> 
> No, except by using an extension that implements the old popup.

I installed the Alt-Tab Workspace extension:

https://extensions.gnome.org/extension/310/alt-tab-workspace/

It restricts alt+tab to windows on current workspace.  That's slightly suboptimal, though (I'd like windows from all workspaces listed, but windows local to the current workspace preferred).

Is this bug a WONTFIX, then?
Comment 5 Florian Müllner 2013-05-30 09:50:03 EDT
(In reply to Amit Shah from comment #4)
> (In reply to Florian Müllner from comment #3)
> > No, except by using an extension that implements the old popup.
> 
> I installed the Alt-Tab Workspace extension:
> 
> https://extensions.gnome.org/extension/310/alt-tab-workspace/
> 
> It restricts alt+tab to windows on current workspace.  That's slightly
> suboptimal, though (I'd like windows from all workspaces listed, but windows
> local to the current workspace preferred).

Oh, I didn't investigate whether such an extension already exists - what I meant is that interested developers can pick up the "old" alt-tab code from the git history and make it available as an extension.


> Is this bug a WONTFIX, then?

Yes, in case of the application switcher. Since 3.8 we also include a window switcher (which does not have a keybinding by default, see "Switch windows" in Settings->Keyboard->Shortcuts->Navigation) that works more or less like the old Metacity switcher did. It has an option to list all winodws or only windows from the current workspaces; I'd be open to add a 3rd option to show all windows, but grouped by workspace.
Comment 6 Amit Shah 2013-05-30 13:32:30 EDT
(In reply to Florian Müllner from comment #5)
> > Is this bug a WONTFIX, then?
> 
> Yes, in case of the application switcher. Since 3.8 we also include a window
> switcher (which does not have a keybinding by default, see "Switch windows"
> in Settings->Keyboard->Shortcuts->Navigation) that works more or less like
> the old Metacity switcher did. It has an option to list all winodws or only
> windows from the current workspaces; I'd be open to add a 3rd option to show
> all windows, but grouped by workspace.

Hm, I can't quite figure out what the window switcher does (seems to only allow selecting between the 1st two windows listed with Alt+Tab, if that shortcut is assigned to it, but other windows can be selected using arrow keys / mouse).

However, if you can get something that brings the older behaviour back, I'd like it very much.

Thanks
Comment 7 Florian Müllner 2013-05-31 08:48:30 EDT
(In reply to Amit Shah from comment #6)
> Hm, I can't quite figure out what the window switcher does (seems to only
> allow selecting between the 1st two windows listed with Alt+Tab, if that
> shortcut is assigned to it, but other windows can be selected using arrow
> keys / mouse).

That sounds like a known gnome-control-center bug - does "gsettings set org.gnome.desktop.wm.keybindings switch-applications '[]'" fix it?
Comment 8 Amit Shah 2013-11-12 14:44:55 EST
(In reply to Florian Müllner from comment #7)
> (In reply to Amit Shah from comment #6)
> > Hm, I can't quite figure out what the window switcher does (seems to only
> > allow selecting between the 1st two windows listed with Alt+Tab, if that
> > shortcut is assigned to it, but other windows can be selected using arrow
> > keys / mouse).
> 
> That sounds like a known gnome-control-center bug - does "gsettings set
> org.gnome.desktop.wm.keybindings switch-applications '[]'" fix it?

Yes, it does.  I'm trying this on F20 now:

$ rpm -q gnome-shell
gnome-shell-3.10.1-2.fc20.x86_64
Comment 9 Fedora End Of Life 2015-01-09 13:14:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 10:21:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.